Bug 1478073 - Uncomment cephx: true as default value in all.yml.sample
Uncomment cephx: true as default value in all.yml.sample
Status: CLOSED CURRENTRELEASE
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 3.0
Assigned To: Erin Donnelly
Vasishta
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-03 10:16 EDT by khartsoe@redhat.com
Modified: 2017-12-25 22:38 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-25 22:38:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description khartsoe@redhat.com 2017-08-03 10:16:24 EDT
Description of problem:
Currently, user is required to manually uncomment "cephx: true" when configuring ceph global settings. 

This requires an additional manual task during installation.

Version-Release number of selected component (if applicable):
2.x, etc.

How reproducible:
As root, create an all.yml file from the all.yml.sample file, uncomment "cephx: true"

Steps to Reproduce:
Step 8:
https://access.redhat.com/documentation/en-us/red_hat_ceph_storage/2/html-single/installation_guide_for_red_hat_enterprise_linux/#configuring_ceph_global_settings

Actual results:
all.yml.sample file default value "cephx: true" is commented out

Expected results:
all.yml.sample file default value "cephx: true" should be uncommented to prevent user action and therefore, reduce required user tasks during installation

Additional info:
https://docs.google.com/document/d/14c6cx2PY6xe2XC0N9sFY8Jc-VobAy_LjpTxJsrOL_q8/edit

Driven by RHCS-LT Process Improvement effort
Comment 2 seb 2017-08-03 10:50:35 EDT
The doc needs to be reworked, this action is not needed.

Bara, can you move this to doc?
Thanks!
Comment 4 seb 2017-08-03 11:08:14 EDT
Correct. It has always been set to true by default.
Thanks Bara.
Comment 6 seb 2017-08-04 12:41:20 EDT
There is no need to uncomment it to give it its default value. You uncomment a parameter to **only** change its default value
Comment 9 Vasishta 2017-10-05 11:00:30 EDT
Hi,

Verified in the doc that, redundant step asking user to set cephx to true has been removed and verified that by default cephx has been enabled.

$ cat group_vars/all.yml |grep cephx
#cephx: true
$ sudo ceph daemon /var/run/ceph/beta_2017-mon.magna009.asok config show |grep cephx
    "auth_client_required": "cephx, none",
    "auth_cluster_required": "cephx",
    "auth_service_required": "cephx",

Moving to VERIFIED state.

Regards,
Vasishta

Note You need to log in before you can comment on or make changes to this bug.